/*
 * temp_objects.h
 *
 *  Created on: Mar 6, 2013
 *      Author: msikstrom
 */

#ifndef TEMP_OBJECTS_H_
#define TEMP_OBJECTS_H_

#include <naemon/naemon.h>

struct temp_objects {
	struct contact      *ctc;
	struct contactgroup *cg;
	struct host         *hst;
	struct service      *svc;
	struct hostgroup    *hg;
	struct servicegroup *sg;
	struct command      *cmd;
	char                *runcommand;
	int					timeout;
};

struct temp_objects *build_temp_objects( struct kvvec *kvv );
void destroy_temp_objects( struct temp_objects *objs );

#endif /* TEMP_OBJECTS_H_ */
